package cz.moneta.test.dsl.ufo.cb.landing;

import cz.moneta.test.harness.support.web.*;

@Wait(value = UKO401_S003_Delete.WHO, until = Until.VISIBLE)
public interface UKO401_S003_Delete extends WebFlow<UKO401_S003_Delete> {
    String WHO = "UKO401_S003_C003";
    String REASON = "UKO401_S003_C002";
    String DELETE_BUTTON = "UKO401_S003_B001";

    @Select(WHO)
    UKO401_S003_Delete selectWho(String data);

    @Select(REASON)
    UKO401_S003_Delete selectReason(String data);

    @Click(DELETE_BUTTON)
    SME451_S001_UfoCbLandingPage clickDelete();
}
